# List Webhooks

> GET /webhooks — list every webhook on your account.

`GET /webhooks`

Lists the webhooks on your account. This endpoint is always paginated: `limit` defaults to `20` (maximum `100`) even when you do not send it. Keep paging with `after` while `has_more` is `true`.

**Query parameters**

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `limit` | number | No | Number of webhooks to retrieve. Minimum `1`, maximum `100`, default `20`. |
| `after` | string | No | The id after which to retrieve more webhooks (for pagination). Not included in the result. Cannot be combined with `before`. |
| `before` | string | No | The id before which to retrieve more webhooks (for pagination). Not included in the result. Cannot be combined with `after`. |

**Node.js**

```js
import { SendPing } from 'sendping';

const mb = new SendPing('mb_xxxxxxxxx');

const { data, error } = await mb.webhooks.list();
console.log({ data, error });
```

**Ruby**

```ruby
require "sendping"

SendPing.api_key = "mb_xxxxxxxxx"

SendPing::Webhooks.list
```

**PHP**

```php
<?php
require 'vendor/autoload.php';

use SendPing\SendPing;

$sendping = SendPing::client('mb_xxxxxxxxx');

$sendping->webhooks->list();
```

**Python**

```python
import sendping

sendping.api_key = "mb_xxxxxxxxx"

sendping.Webhooks.list()
```

**Go**

```go
import "github.com/shekhu10/sendping-sdks/sendping-go"

client := sendping.NewClient("mb_xxxxxxxxx")

webhooks, err := client.Webhooks.List(nil)
```

**Rust**

```rust
use sendping::SendPing;

let mb = SendPing::new("mb_xxxxxxxxx");

let _webhooks = mb.webhooks.list(None).await?;
```

**Java**

```java
import co.sendping.SendPing;
import co.sendping.SendPingResponse;

SendPing sendping = new SendPing("mb_xxxxxxxxx");

SendPingResponse response = sendping.webhooks().list();
```

**.NET**

```csharp
using SendPing;

ISendPing sendping = SendPingClient.Create("mb_xxxxxxxxx");

var resp = await sendping.WebhookListAsync();
```

**cURL**

```bash
curl -X GET 'https://www.sendping.co/api/webhooks' \
  -H 'Authorization: Bearer mb_xxxxxxxxx'
```

**CLI**

```bash
sendping webhooks list
```

### Response

```json
{
  "object": "list",
  "has_more": false,
  "data": [
    {
      "object": "webhook",
      "id": "12",
      "created_at": "2026-06-10T10:15:30.000Z",
      "status": "disabled",
      "endpoint": "https://first-webhook.example.com/handler",
      "events": ["email.sent"],
      "has_secret": true,
      "last_delivery_at": null,
      "last_delivery_status": null,
      "failure_count": 0
    },
    {
      "object": "webhook",
      "id": "17",
      "created_at": "2026-06-22T15:28:00.000Z",
      "status": "enabled",
      "endpoint": "https://second-webhook.example.com/receive",
      "events": ["email.bounced"],
      "has_secret": true,
      "last_delivery_at": "2026-06-27T10:00:00.000Z",
      "last_delivery_status": 200,
      "failure_count": 0
    }
  ]
}
```
